commit:     0c7bc92d14f5fa551a7c559d9e85aa14f371f552
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Sun Dec 20 17:16:51 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 10:16:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c7bc92d

sci-physics/vmc: Version bump to 1.0_p3.

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>
Closes: https://github.com/gentoo/gentoo/pull/18737
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sci-physics/vmc/Manifest          |  1 +
 sci-physics/vmc/vmc-1.0_p3.ebuild | 45 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sci-physics/vmc/Manifest b/sci-physics/vmc/Manifest
index 59a8546f3d8..8f62d6c40d2 100644
--- a/sci-physics/vmc/Manifest
+++ b/sci-physics/vmc/Manifest
@@ -1 +1,2 @@
 DIST vmc-1.0_p2.tar.gz 91400 BLAKE2B 
d444a003433f4939f1b737ee8aa117a3230f83428ff9a79f8219a88bf5146104460a8be80ada9ab3a0a0edebc7d85d02bc51de053d54b06739d26cb0bbec3429
 SHA512 
51d6a8462c854411b595a20a2657b8012f19cd9c139f3341ccd72eb262473d01f6909ad22ee8d083f01cc5a2e43b2af265a7ed7c62a1285e8fab34c1b68ee3cd
+DIST vmc-1.0_p3.tar.gz 91476 BLAKE2B 
3005e0575a5835b832175e6a272d4e3c328990e28ac998aca60a42c4ddd03faba4d1b761867d8af597ca2468cf3072c49bb007852b5ec892c215df37297656dc
 SHA512 
621c0cb3f2846f9401e3e4fff6fa47ab2afbff7c4dca5c19869abb1806ec19d4a221e5741aad9b3929a4e8b8207ee6008a9bf06ec8bf03ed73771cb29fda1b8d

diff --git a/sci-physics/vmc/vmc-1.0_p3.ebuild 
b/sci-physics/vmc/vmc-1.0_p3.ebuild
new file mode 100644
index 00000000000..fdebc4ac86f
--- /dev/null
+++ b/sci-physics/vmc/vmc-1.0_p3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/vmc-project/${PN}.git";
+else
+       MY_PV=$(ver_rs 1-2 -)
+       SRC_URI="https://github.com/vmc-project/${PN}/archive/v${MY_PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+       S="${WORKDIR}/${PN}-${MY_PV}"
+fi
+
+DESCRIPTION="The Virtual Monte Carlo core library."
+HOMEPAGE="https://vmc-project.github.io/";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+c++11 c++14 c++17 doc"
+
+REQUIRED_USE="^^ ( c++11 c++14 c++17 )"
+
+RDEPEND=">=sci-physics/root-6.18:=[c++11?,c++14?,c++17?,-vmc]"
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen[dot] )"
+
+DOCS=(README.md History)
+
+src_compile() {
+       cmake_src_compile
+       if use doc; then
+               # TRAVIS_BUILD_DIR hardcoded in Doxyfile by upstream.
+               TRAVIS_BUILD_DIR="${S}" doxygen doc/doxygen/Doxyfile || die
+       fi
+}
+
+src_install() {
+       cmake_src_install
+       use doc && local HTML_DOCS=( doc/html/. )
+       einstalldocs
+}

Reply via email to